Bug 11690 - problem with /usr/sbin/exportfs
Summary: problem with /usr/sbin/exportfs
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils   
(Show other bugs)
Version: 7.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-26 14:59 UTC by mal
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 23:38:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mal 2000-05-26 14:59:35 UTC
Hi,
there is a problem with /usr/sbin/exportfs
from nfs-utils-0.1.6-2
when I run
/usr/sbin/exportfs -a
I get an error message
exportfs: Unknown keyword "crossmnt" in export file
The cause of this error message is
the word crossmnt in /proc/fs/nfs/exports

cat /proc/fs/nfs/exports

# Version 1.0
# Path Client(Flags) # IPs
/home/installation
192.168.1.149(ro,insecure,root_squash,all_squash,async,wdelay,crossmnt) #
192.168.1.149

crossmnt word causes exportfs to fail.

Comment 1 Seth Vidal 2000-07-14 05:46:41 UTC
shutdown nfs entirely.
the /proc file will go away - restart it.
also look in: /var/lib/nfs for a file with crossmnt in it.


Comment 2 mal 2000-08-09 13:39:18 UTC
If I shutdown and restart it - same thing.
The kernel created file
has the word corossmnt.
The only way to remove it - remove nohide option from /etc/exports
In /var/lib/nfs/etab there is no such word.
cat /var/lib/nfs/etab 
/home/redhat7.0
(ro,async,wdelay,nohide,insecure,root_squash,all_squash,subtree_check,secure_locks,mapping=identity,anonuid=-2,anongid=-2)
/home/dev/BBS
(ro,async,wdelay,nohide,insecure,root_squash,all_squash,subtree_check,secure_locks,mapping=identity,anonuid=-2,anongid=-2)
/home/httpd
(ro,async,wdelay,nohide,insecure,root_squash,all_squash,subtree_check,secure_locks,mapping=identity,anonuid=-2,anongid=-2)

cat /proc/fs/nfs/exports 
# Version 1.0
# Path Client(Flags) # IPs
/home/dev/BBS
190.1.1.31(ro,insecure,root_squash,all_squash,async,wdelay,crossmnt) #
190.1.1.31
/home/httpd
192.168.2.2(ro,insecure,root_squash,all_squash,async,wdelay,crossmnt) #
192.168.2.2
/home/redhat7.0
192.168.2.2(ro,insecure,root_squash,all_squash,async,wdelay,crossmnt) #
192.168.2.2

cat /etc/exports 
/home/httpd (ro,insecure,all_squash,nohide)
/home/redhat7.0 (ro,insecure,all_squash,nohide)
/home/dev/BBS (ro,insecure,all_squash,nohide)

The only way to fix this-
remove nohide option from /etc/exports


Comment 3 Alan Cox 2000-08-18 17:27:27 UTC
knfsd does not support all the features the old unfsd does.

Comment 4 mal 2000-08-18 17:33:31 UTC
Then this should be documented somewhere.
For example in 
man exports
at least.


Comment 5 Alan Cox 2002-12-14 23:38:19 UTC
Well man exports doesnt include the option - it should have been in the release
notes way back then.

Just tidying up old dead bugs

Alan the bugzilla womble



Note You need to log in before you can comment on or make changes to this bug.